<?xml version="1.0" encoding="UTF_8"?>
<SensorHalCap>
    <tag key="HAL_CUSTOM_SEAMLESS_SUPPORTED" type="uint8_t">
        <value>0</value>
    </tag>
    <tag key="HAL_PRIVATE_SENSOR_FPS_RANGE_SETTING" type="int32_t">
        <value>30</value>
        <value>60</value>
    </tag>
    <tag key="HAL_CUSTOM_MAX_PREVIEW_RESOLUTION" type="int32_t">
        <value>3264</value>
        <value>2448</value>
    </tag>
    <tag key="HAL_PRIVATE_SENSOR_BINNING_SIZES_SUPPORTED" type="int32_t">
        <value>4160</value>
        <value>3120</value>
        <value>2304</value>
        <value>1728</value>
        <value>4160</value>
        <value>2576</value>
        <value>2304</value>
        <value>1296</value>
    </tag>
    <tag key="HAL_CUSTOM_EQUIVALENT_FOCUS" type="uint32_t">
        <value>23</value>
    </tag>
    <tag key="HAL_CUSTOM_CAPTURE_MIRROR_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_PRIVATE_SENSOR_MAX_AGAIN_VALUE" type="int32_t">
        <value>4000</value>
    </tag>
    <tag key="HAL_CUSTOM_VIDEO_FPS_SUPPORTED" type="int32_t">
        <value>60</value>
    </tag>
    <tag key="HAL_CUSTOM_MAIN_MODE_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_PRIVATE_SENSOR_INFO_PIXEL_ARRAY_SIZE" type="int32_t">
        <value>3264</value>
        <value>2448</value>
    </tag>
    <tag key="HAL_CUSTOM_MAX_SENSOR_INFO_PIXEL_ARRAY_SIZE" type="int32_t">
        <value>3264</value>
        <value>2448</value>
    </tag>
    <tag key="HAL_PRIVATE_RYYB_SUPPORTED" type="uint8_t">
        <value>0</value>
    </tag>
    <!-- full scene stagger cap
    <tag key="HAL_PRIVATE_SENSOR_HDR_INFO_CONFIG" type="uint32_t">
        <value type="string2Enum">CAMERA_CUSTOM_SM_NORMAL_CAPTURE</value>
        <value>30</value>
        <value type="string2Enum">STAGGER_FULL_DOL</value>
        <value type="string2Enum">STAGGER_2EXPO</value>
        <value type="string2Enum">STAGGER_LS</value>
        <value type="string2Enum">LARGE_EXPO_BEGIN_SWITCH</value>
        <value>3264</value>
        <value>2448</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_NORMAL_VIDEO</value>
        <value>30</value>
        <value type="string2Enum">STAGGER_FULL_DOL</value>
        <value type="string2Enum">STAGGER_2EXPO</value>
        <value type="string2Enum">STAGGER_LS</value>
        <value type="string2Enum">LARGE_EXPO_BEGIN_SWITCH</value>
        <value>3552</value>
        <value>2000</value>
    </tag> -->
    <tag key="HAL_CUSTOM_SENSOR_HDR_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_PRIVATE_SENSOR_SEQUENCE_TYPES_SUPPORTED" type="int32_t">
        <value type="string2Enum">CAMERA_CUSTOM_SM_INVALID</value>
        <value type="string2Enum">SS_SEQ_TYPE_FULLSIZE</value>
    </tag>
    <tag key="HAL_PRIVATE_REPROCESS_SENSOR_HDR_RESOLUTION" type="uint32_t">
        <value>6528</value>
        <value>4896</value>
        <value>3264</value>
        <value>2448</value>
        <value>6528</value>
        <value>3672</value>
        <value>3264</value>
        <value>1836</value>
        <value>6528</value>
        <value>3072</value>
        <value>3264</value>
        <value>1536</value>
        <value>4896</value>
        <value>4896</value>
        <value>2448</value>
        <value>2448</value>
    </tag>
    <tag key="HAL_PRIVATE_LOGICAL_SENSOR_DOMAIN" type="char">
        <value>physical</value>
    </tag>
    <tag key="HAL_CUSTOM_FRONT_CAMERA_LOCATION" type="uint32_t">
        <value type="string2Enum">EXPAND_FRONT_CAMERA</value>
    </tag>
    <tag key="HAL_CUSTOM_BIO_FACEID_SUPPORTED" type="uint8_t">
        <value type="string2Enum">BIO_FACEID_CAP_RGB</value>
    </tag>
    <tag key="HAL_CUSTOM_HIGH_RES_VIDEO_PROCESSED_SIZES_AND_DURATION" type="int32_t">
        <value>3840</value>
        <value>2160</value>
        <value>33331760</value>
    </tag>
    <tag key="HAL_CUSTOM_VIDEO_STABILIZATION_AVAILABLE_CONFIGURATIONS" type="int32_t">
        <value>3840</value>
        <value>2160</value>
        <value>30</value>
        <value>2512</value>
        <value>1080</value>
        <value>30</value>
        <value>1920</value>
        <value>1080</value>
        <value>30</value>
        <value>1280</value>
        <value>720</value>
        <value>30</value>
        <value>3840</value>
        <value>2160</value>
        <value>60</value>
        <value>2512</value>
        <value>1080</value>
        <value>60</value>
        <value>1920</value>
        <value>1080</value>
        <value>60</value>
        <value>1280</value>
        <value>720</value>
        <value>60</value>
    </tag>
    <tag key="HAL_CUSTOM_VIDEO_RESOLUTION_FPS_SUPPORTED" type="int32_t">
        <value>3840</value>
        <value>2160</value>
        <value>60</value>
        <value>1920</value>
        <value>1080</value>
        <value>60</value>
        <value>2512</value>
        <value>1080</value>
        <value>60</value>
        <value>1280</value>
        <value>720</value>
        <value>60</value>
    </tag>
    <tag key="HAL_CUSTOM_VIDEO_FPS_SUPPORTED" type="int32_t">
        <value>60</value>
    </tag>
    <tag key="HAL_CUSTOM_EIS_GPU_VIDEO_SIZE_SUPPORT_DELAY_CONFIGURATIONS" type="int32_t">
        <value>3840</value>
        <value>2160</value>
        <value>30</value>
        <value>3840</value>
        <value>2160</value>
        <value>60</value>
        <value>2512</value>
        <value>1080</value>
        <value>30</value>
        <value>2512</value>
        <value>1080</value>
        <value>60</value>
        <value>1920</value>
        <value>1080</value>
        <value>30</value>
        <value>1920</value>
        <value>1080</value>
        <value>60</value>
        <value>1280</value>
        <value>720</value>
        <value>30</value>
        <value>1280</value>
        <value>720</value>
        <value>60</value>
    </tag>
    <tag key="HAL_PRIVATE_SECURE_FERAW_SIZE" type="int32_t">
        <value>1632</value>
        <value>1224</value>
    </tag>
    <tag key="HAL_PRIVATE_SENSOR_FULL_SIZE_FOV_RATIO" type="float">
        <value>1.00</value>
    </tag>
    <tag key="HAL_CUSTOM_FRONT_NIGHT_MODES" type="uint8_t">
        <value>2</value>        <!-- FRONT_NIGHT_MODES_NORMAL_CAPTURE -->
    </tag>
    <tag key="HAL_PRIVATE_IGS_CONFLICT_LIST" type="uint32_t">
        <value>0x20005</value>
        <value>0x20006</value>
        <value>0x20007</value>
    </tag>
</SensorHalCap>
